/* BENEFICIOS */

@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@200;300;400;500;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600&display=swap');

:root {
    --green: #3bad44;
    --black: #222;
    --white: #fff;
    --light-black: #666;
    --light-white: #ccc;
    --light-bg: #f5f5f5;
    --dark-bg: rgba(0, 0, 0, .7);
    --border: .1rem solid #aaa;
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
}

* {
    font-family: 'Dosis', 'Open Sans', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    transition: all 0.4s cubic-bezier(.43, 1.1, .62, 1.08);
}

*>img {
    user-select: none;
    pointer-events: none;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}

@keyframes fadeIn {
    0% {
        transform: translateY(-4rem) scale(0);
        opacity: 0;
    }
}

/* BENEFICIOS */

/*### HEADER NAV ###*/

header {
    display: flex;
    height: 120px;
    background: rgb(116, 175, 134);
    background: linear-gradient(90deg, rgb(105, 182, 150) 0%, rgb(224, 203, 105) 100%);
    justify-content: space-between;
    align-items: center;
    padding: 20px;
  }
  
  .logo {
    font-weight: 600;
    font-size: 18px;
    display: flex;
    align-items: center;
    color: white;
  }
  
  .logo img {
    height: 150px;
    margin-right: 10px;
  }
  
  nav a {
    font-family: 'Open Sans';
    font-weight: 600;
    font-size: 16px;
    padding: 10px;
    color: white;
  }
  
  nav a:hover {
    color: #045658
  }
  
  nav a img {
    height: 30px;
    align-items: center;
    margin-right: 30px;
  }

  /* INICIO SWIPER BENEFICIOS CARRUSEL */

.beneficios {
    padding: 0;
  }
  
  .beneficios .slide {
    min-height: 100vh;
    background-size: cover !important;
    background-position: center !important;
    position: relative;
    z-index: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  
  .beneficios .slide::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: var(--dark-bg);
    z-index: -1;
  }
  
  .beneficios .slide .content {
    text-align: center;
    width: 70rem;
    display: none;
  }
  
  .beneficios .slide .content span {
    font-size: 3rem;
    display: block;
    padding-bottom: .5rem;
    color: var(--light-white);
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .63, 1.34) .2s backwards;
  }
  
  .beneficios .slide .content h3 {
    font-size: 8vw;
    text-transform: uppercase;
    color: var(--white);
    text-shadow: 0 .5rem 1rem rgb(0, 0, 0, .7);
    line-height: 1;
    padding: 2rem 0;
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .63, 1.34) .4s backwards;
  }
  
  /* BOTON DE CARRUSEL*/
  
  .btn1 {
    margin-top: 1rem;
    display: inline-block;
    background: var(--green);
    color: var(--white);
    font-size: 2rem;
    cursor: pointer;
    padding: 1rem 3rem;
  }
  
  .btn1:hover {
    letter-spacing: .2rem;
  }
  
  .beneficios .slide .content .btn {
    animation: fadeIn 0.4s cubic-bezier(.54, 1.3, .63, 1.34) .6s backwards;
  }
  
  .beneficios .swiper-slide-active .content {
    display: inline-block;
  }
  
  /* FIN DE BOTON DE CARRUSEL */
  
  /* BOTONES "< >" DEL CARRUSEL SWIPER */
  
  .swiper-button-next,
  .swiper-button-prev {
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    background: rgba(255, 255, 255, 0);
    color: black;
  }
  
  .swiper-button-next:hover,
  .swiper-button-prev:hover {
    background: var(--green);
    color: var(--white);
  }
  
  .swiper-button-next::after,
  .swiper-button-prev::after {
    font-size: 2rem;
  }
  
  /* FIN BOTONES "< >" DEL CARRUSEL SWIPER */
  
  /* FIN SWIPER BENEFICIOS CARRUSEL */
  
  /* COMIENZO DE CUADRADOS INFORMATIVOS */
  
  .service{
    background: var(--white);
    min-height: 50vh; /*tamaño de uso*/
  }
  
  .service .box-container{   /*centrar items*/
    display: flex;
    justify-content: center;
    align-content: center;
  }
  
  .service .box-container .box{
    width: 50%;
    height: 50%;
    padding: 15rem 10rem;
    text-align: center;
    background: #fff;
    border: .2rem solid var(--black);
    margin: 2rem;
    cursor: pointer;
  }
  
  .service .box-container .box i{
    color: #139b5b;
    font-size: 10rem;
  }
  
  .service .box-container .box h3{
    color: #045658;
    font-size: 5rem;
  }
  
  .service .box-container .box p{
    color: #222;
    font-size: 2rem;
    padding: 2rem 0;
  }
  
  .service .box-container .box:hover{
    box-shadow: 0 .3rem .5rem rgb(0, 0, 0, .3);
  }
  
  .service .box-container{
    width: fit-content;
  }
  
  /* FIN DE CUADRADOS INFORMATIVOS */
  
  /* COMIENZO DE CARRUSEL DE PRODUCTOS */
  
  .heading1 {
    text-align: center;
    margin-bottom: 3rem;
  }
  
  .heading1 span {
    font-size: 2.5rem;
    color: var(--green);
  }
  
  .heading1 h3 {
    font-size: 4.5rem;
    color: var(--black);
  }
  
  .producto {
    background: var(--light-bg);
  }
  
  .producto .slide {
    text-align: center;
    padding: 4rem 2rem;
    border-radius: .5rem;
    transform: scale(.9);
    opacity: .5;
    margin-bottom: 4rem;
    cursor: pointer;
  }
  
  .swiper-pagination-bullet-active{
    background: var(--green);
  }
  
  .swiper-horizontal>.swiper-pagination-bullets,
  .swiper-pagination-bullets.swiper-pagination-horizontal {
    bottom: 0;
  }
  
  .producto .swiper-slide-active {
    transform: scale(.9);
    opacity: 1;
    background: var(--white);
    box-shadow: var(--box-shadow);
    border: var(--border);
  
  }
  
  .producto .slide img {
    height: 25rem;
    margin-bottom: 1rem;
  }
  
  .producto .slide h3 {
    font-size: 2.5rem;
    padding: 1rem 0;
    color: var(--black);
  }
  
  .producto .slide .price {
    font-size: 2.5rem;
    color: var(--peru);
  }
  
  /* FIN DE CARRUSEL DE PRODUCTOS */
  
  /* COMIENZO DE INTERACCIÓN DEL CARRUSEL */
  
  .producto-preview-container{
    background: var(--dark-bg);
    position: fixed;
    top: 0; left: 0;
    height: 100%;
    width: 100%;
    z-index: 1100;
    display: none;
    align-items: center;
    justify-content: center;
  }
  
  .producto-preview-container .producto-preview{
    text-align: center;
    background: var(--white);
    padding: 3rem 2rem;
    border-radius: .5rem;
    display: none;
    width: 35rem;
  }
  
  .producto-preview-container .producto-preview.active{
    display: inline-block; 
    animation:fadeIn 0.4s cubic-bezier(.54,1.3,.63,1.34) backwards;
  }
  
  .producto-preview-container .producto-preview img{
    height: 25rem;
    margin-bottom: 1rem;
  }
  
  .producto-preview-container .producto-preview h3{
    padding: 1rem 0;
    font-size: 2.5rem;
    color: var(--black);
  }
  
  .producto-preview-container .producto-preview .stars{
   margin-top: .5rem;
  }
  
  .producto-preview-container .producto-preview p{
    font-size: 1.6rem;
    color: var(--light-black);
    padding: 1rem 0;
    line-height: 2;
  }
  
  .producto-preview-container .producto-preview .price{
    font-size: 2.5rem;
    color: var(--black);
    margin-bottom: .5rem;
  
  }
  
  #close-preview{
    position: absolute;
    top: 1.5rem; right: 2.5rem;
    font-size: 6rem;
    cursor: pointer;
    color: var(--white);
  }
  
  #close-preview:hover{
    transform: rotate(90deg);
  
  }
  
  /* FIN DE INTERACCIÓN DEL CARRUSEL *

 /*FOOTER*/

footer {
    width: 100%;
    height: 150px;
    background-color: #2b2b2b;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  #contenido-Footer a {
    color: #fff;
    font-weight: 600;
  }
  
  #logo-Footer {
    width: 150px;
    height: 150px;
    vertical-align: middle;
    margin-right: 16px;
  }
  
  #Logo {
    font-family: 'Open Sans';
    font-size: 16px;
    display: flex;
    align-items: center;
    color: white;
  }
  
  #redes {
    margin-right: 20px;
    display: flex;
  }
  
  #redes img {
    width: 20px;
    margin-right: 30px;
  }
  
  /*FIN FOOTER*/